#include <iostream>

using namespace std;

int main()
{
    long long n,k,a[100],i,b[100],pr=0,z=0,temp;
    cin>>k>>n;
    for(i=0;i<n;i++)
        cin>>a[i];
    for(i=0;i<n;i++){
            temp=a[i];
        if(temp == k){
            pr=(temp/k);
            z+=pr;
        } else if(temp % a[i]==0){
        pr=(temp/a[i]);
        z+=pr;
        }
        for(i=0;i<n;i++){
            b[i]=z;
        }
        temp=a[i++];}
        for(i=0;i<n;i++){
            cout<<b[i];
        }

    return 0;
}